# Webhooks

Notify your application when specific events occur in your Skool community

## GET /v1/webhooks/

> Get Webhooks

```json
{"openapi":"3.1.0","info":{"title":"SkoolAPI.com","version":"1.0.0"},"tags":[{"name":"Webhooks","description":"Notify your application when specific events occur in your Skool community"}],"paths":{"/v1/webhooks/":{"get":{"tags":["Webhooks"],"summary":"Get Webhooks","operationId":"get_webhooks_v1_webhooks__get","parameters":[{"name":"session_id","in":"query","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-api-secret","in":"header","required":true,"schema":{"type":"string","title":"X-Api-Secret"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WebhookOut"},"title":"Response Get Webhooks V1 Webhooks  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"WebhookOut":{"properties":{"id":{"type":"string","title":"Id"}},"type":"object","required":["id"],"title":"WebhookOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## POST /v1/webhooks/

> Create Webhook

```json
{"openapi":"3.1.0","info":{"title":"SkoolAPI.com","version":"1.0.0"},"tags":[{"name":"Webhooks","description":"Notify your application when specific events occur in your Skool community"}],"paths":{"/v1/webhooks/":{"post":{"tags":["Webhooks"],"summary":"Create Webhook","operationId":"create_webhook_v1_webhooks__post","parameters":[{"name":"session_id","in":"query","required":true,"schema":{"type":"string","title":"Session Id"}},{"name":"x-api-secret","in":"header","required":true,"schema":{"type":"string","title":"X-Api-Secret"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookIn"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookOut"}}}},"404":{"description":"Group was not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"WebhookIn":{"properties":{"url":{"type":"string","title":"Url"},"group":{"type":"string","title":"Group"},"events":{"items":{"type":"string","enum":["post","comment","group_stats","chat_update"]},"type":"array","uniqueItems":true,"title":"Events"}},"type":"object","required":["url","group","events"],"title":"WebhookIn"},"WebhookOut":{"properties":{"id":{"type":"string","title":"Id"}},"type":"object","required":["id"],"title":"WebhookOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## DELETE /v1/webhooks/{webhook\_id}

> Delete Webhook

```json
{"openapi":"3.1.0","info":{"title":"SkoolAPI.com","version":"1.0.0"},"tags":[{"name":"Webhooks","description":"Notify your application when specific events occur in your Skool community"}],"paths":{"/v1/webhooks/{webhook_id}":{"delete":{"tags":["Webhooks"],"summary":"Delete Webhook","operationId":"delete_webhook_v1_webhooks__webhook_id__delete","parameters":[{"name":"webhook_id","in":"path","required":true,"schema":{"type":"string","title":"Webhook Id"}},{"name":"x-api-secret","in":"header","required":true,"schema":{"type":"string","title":"X-Api-Secret"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skoolapi.com/openapi/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
